Переписка обращения CRM
/api/v1/developer/crm/tickets/{ticketId}/commentsВозвращает отдельно разрешённую страницу клиентских ответов и внутренних заметок без project, ticket, staff identity и Conversation message id.
Право доступаcrm.tickets.comments.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Параметры
ticketIdобязательно · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }limitнеобязательно · queryintegerminimum: 1 · maximum: 100 · default: 50JSON Schema
{ "type": "integer", "minimum": 1, "maximum": 100, "default": 50 }cursorнеобязательно · querystringminLength: 1 · maxLength: 512JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 512 }
Примеры запроса
curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/crm/tickets/TICKET_ID/comments?limit=50' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Ответы
200 Paginated CRM ticket thread
application/jsonobject
commentsобязательно- arraymaxItems: 100
Вложенная схема
arraymaxItems: 100objectidобязательно- stringminLength: 1 · maxLength: 160
laneобязательно- stringenum: ["customer_reply","internal_note"]
authorKindобязательно- stringenum: ["team","customer"]
bodyобязательно- stringminLength: 1 · maxLength: 4000
createdAtобязательно- stringformat: "date-time"
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "lane": { "type": "string", "enum": [ "customer_reply", "internal_note" ] }, "authorKind": { "type": "string", "enum": [ "team", "customer" ] }, "body": { "type": "string", "minLength": 1, "maxLength": 4000 }, "createdAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "lane", "authorKind", "body", "createdAt" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "lane": { "type": "string", "enum": [ "customer_reply", "internal_note" ] }, "authorKind": { "type": "string", "enum": [ "team", "customer" ] }, "body": { "type": "string", "minLength": 1, "maxLength": 4000 }, "createdAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "lane", "authorKind", "body", "createdAt" ], "additionalProperties": false }, "maxItems": 100 } nextCursorобязательно- string | null
JSON Schema
{
"type": "object",
"properties": {
"comments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"lane": {
"type": "string",
"enum": [
"customer_reply",
"internal_note"
]
},
"authorKind": {
"type": "string",
"enum": [
"team",
"customer"
]
},
"body": {
"type": "string",
"minLength": 1,
"maxLength": 4000
},
"createdAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"lane",
"authorKind",
"body",
"createdAt"
],
"additionalProperties": false
},
"maxItems": 100
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"comments",
"nextCursor"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperCrmTicketCommentListResponse"
}400 Invalid ticket-comment pagination request
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 CRM tickets entitlement or membership unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 CRM ticket not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}